Bug 110349 - [PATCH] pvmd3 segfaults under X86_64 arch in RHEL 3
[PATCH] pvmd3 segfaults under X86_64 arch in RHEL 3
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: pvm (Show other bugs)
3.0
ia32e Linux
high Severity high
: ---
: ---
Assigned To: Lon Hohberger
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-18 13:08 EST by Neil Horman
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 23:24:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to correct type mis-definition in vfprintf and ctime to avlid SIGSEGV (2.42 KB, patch)
2003-11-18 13:10 EST, Neil Horman
no flags Details | Diff

  None (edit)
Description Neil Horman 2003-11-18 13:08:51 EST
Description of problem:
starting pvmd3, results in a SIGSEGV

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.run pvmd3

  
Actual results:
daemon segfaults

Expected results:
daemon runs and listens for incomming pvm connections

Additional info:
This problem may be indicative of a larger problem with the library or
header file layout, as both segfaults which I observed and corrected
were the result of 64 bit pointers of which only the lower 32 bits
were filled out (the upper 32 bits were 0xffffffff).  I've managed to
fix both segfaults and get the daemon working again by strictly
including the appropriate files which the man pages for the
corresponding failing library calls indicate (stdarg.h in addition to
stdio.h for the vfprintf call, and time.h rather than sys/time.h for
the failing ctime call).  Without these modification, both these
library calls encounter pointer errors.
Comment 1 Neil Horman 2003-11-18 13:10:27 EST
Created attachment 96043 [details]
patch to correct type mis-definition in vfprintf and ctime to avlid SIGSEGV

This patch repairs the two segfaults encountered in the description of this
bug.
Comment 2 Lon Hohberger 2003-12-02 15:43:20 EST
Unfortunately, I think this scratches the surface of a much deeper
problem w/ pvm and x86-64.  I get other segfaults (particularly in the
exit path) even with the patch applied.

Comment 3 Lon Hohberger 2003-12-03 16:24:03 EST
3.4.4-16 is in rawhide, including this patch.
Comment 4 Amit Bhutani 2004-06-22 13:11:21 EDT
RHEL3 U2 for AMD64 and EM64T product still contains pvm-3.4.4.13 
which exhibits this bug. I am trying to get PVM to work on a Dell 
EM64T (ia32e) system. Here is the error message I am getting when I 
try to start PVM.

[root@localhost root]#pvm
libpvm [pid4648] mksocs() connect: No such file or directory
libpvm [pid4648] 	socket address tried: /tmp/pvmtmp004654.0
libpvm [pid4648] mksocs() connect: No such file or directory
libpvm [pid4648] 	socket address tried: /tmp/pvmtmp004654.0
libpvm [pid4648]: Console: Can't contact local daemon
Comment 5 Amit Bhutani 2004-06-22 18:58:31 EDT
BZ 123919 could be related to this issue.
Comment 6 Lon Hohberger 2004-06-23 11:03:24 EDT
It's the same issue.
Comment 7 Lon Hohberger 2004-06-24 16:01:14 EDT
Er, wow, I actually didn't apply the patch in 3.4.4-16.  I guess I
didn't drink enough coffee when I closed this the first time.
Comment 16 Jay Turner 2004-09-01 23:24:25 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-325.html

Note You need to log in before you can comment on or make changes to this bug.